=== share/man/CMakeLists.txt ===
if (BUILD_MANPAGES)
  add_custom_target(votca_tools_manpages DEPENDS votca-tools.man)
  add_dependencies(manpages votca_tools_manpages)
  install(FILES votca-tools.man DESTINATION ${CMAKE_INSTALL_MANDIR}/man7 RENAME votca-tools.7)
endif (BUILD_MANPAGES)
