=== debian/changelog ===
votca-tools (1.5-2) unstable; urgency=high

  * libvotca-tools-dev: Additionally set Breaks/Replaces on libvotca-tools3.
    (Closes: #921665)

 -- Nicholas Breen <nbreen@debian.org>  Thu, 07 Feb 2019 18:57:53 -0800

votca-tools (1.5-1) unstable; urgency=medium

  * New upstream release.
    - Rename libvotca-tools4 to libvotca-tools5.
  * Add myself to uploaders.
  * Enable new test suite.
  * Add Build-Depends on libeigen3-dev and, for the tests,
    libboost-test-dev.
  * Minor housekeeping: update copyright years, update Standards-Version,
    set Rules-Requires-Root: no.
  * Move man pages to -dev package, allowing coinstallability of future
    library versions.

 -- Nicholas Breen <nbreen@debian.org>  Fri, 01 Feb 2019 18:06:30 -0800
