=== debian/control ===
Source: votca-tools
Section: libs
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Christoph Junghans <junghans@votca.org>,
           Michael Banck <mbanck@debian.org>,
           Nicholas Breen <nbreen@debian.org>
Build-Depends: cmake,
               debhelper (>= 9.0.0),
               libboost-filesystem-dev,
               libboost-program-options-dev,
               libboost-system-dev,
               libboost-test-dev,
               libeigen3-dev,
               libexpat1-dev,
               libfftw3-dev,
               libgsl-dev,
               libsqlite3-dev,
               pkg-config,
               txt2tags
Rules-Requires-Root: no
Standards-Version: 4.3.0
Homepage: http://www.votca.org
Vcs-Browser: https://salsa.debian.org/debichem-team/votca-tools
Vcs-Git: https://salsa.debian.org/debichem-team/votca-tools.git

Package: libvotca-tools-dev
Section: libdevel
Architecture: any
Depends: libvotca-tools5 (= ${binary:Version}), ${misc:Depends}
Breaks: libvotca-tools4 (<< 1.4.1-3~), libvotca-tools3 (<< 1.3.0-3~)
Replaces: libvotca-tools4, libvotca-tools3
Description: VOTCA's tools library, development kit
 VOTCA is a software package which focuses on the analysis of molecular
 dynamics data, the development of systematic coarse-graining techniques as
 well as methods used for simulating microscopic charge transport in
 disordered semiconductors.
 .
 VOTCA's tools library provides functions shared between all VOTCA packages.
 .
 This package contains header files and pkg-config files.

Package: libvotca-tools5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libvotca-tools2 (<< 1.3), libvotca-tools3
Replaces: libvotca-tools2 (<< 1.3), libvotca-tools3
Description: VOTCA's tools library
 VOTCA is a software package which focuses on the analysis of molecular
 dynamics data, the development of systematic coarse-graining techniques as
 well as methods used for simulating microscopic charge transport in
 disordered semiconductors.
 .
 VOTCA's tools library provides functions shared between all VOTCA packages.
