=== debian/watch ===
version=3
https://github.com/votca/tools/releases .*/archive/v([\d.]+)\.tar\.(?:bz2|gz)
