=== scripts/CMakeLists.txt ===
--- 
+++ 
@@ -36,3 +36,6 @@
   set_property(DIRECTORY APPEND PROPERTY ADDITIONAL_MAKE_CLEAN_FILES ${SCRIPT})
   install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/${SCRIPT} DESTINATION ${CMAKE_INSTALL_BINDIR})
 endforeach(SCRIPT)
+
+add_executable(VOTCA::votca_compare IMPORTED GLOBAL)
+set_property(TARGET VOTCA::votca_compare PROPERTY IMPORTED_LOCATION "${CMAKE_CURRENT_BINARY_DIR}/votca_compare")
