=== debian/changelog ===
votca-tools (1.6~rc1-3build1) focal; urgency=medium

  * No change rebuild against new boost1.71 ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 03 Feb 2020 21:53:25 +0000

votca-tools (1.6~rc1-3) unstable; urgency=medium

  * Add Breaks/Replaces: libvotca-tools-dev (<< 1.6~rc1-1) to votca-tools
    for a file move.  (Closes: #949774)
  * Remove old Breaks/Replaces from oldstable and before.

 -- Nicholas Breen <nbreen@debian.org>  Sun, 26 Jan 2020 10:22:42 -0800

votca-tools (1.6~rc1-2) unstable; urgency=medium

  * d/patches/smoothing_test.diff: Cherry-pick from upstream commit at
    <https://github.com/votca/tools/issues/195>, to solve test failures
    at table_test/smoothing_test on many architectures.

 -- Nicholas Breen <nbreen@debian.org>  Thu, 23 Jan 2020 18:20:06 -0800

votca-tools (1.6~rc1-1) unstable; urgency=medium

  * New upstream release candidate.
    - Rename libvotca-tools5 to libvotca-tools6.
    - Remove B-D on libsqlite3-dev, no longer needed.
  * Add new 'votca-tools' (binary) package for helper tools.  Add B-D on
    dh-python and python3 for votca_compare script.
  * Update to Standards-Version 4.5.0, no changes required.

 -- Nicholas Breen <nbreen@debian.org>  Mon, 20 Jan 2020 16:53:24 -0800

votca-tools (1.5.1-1) unstable; urgency=medium

  * New upstream release.
  * Update to Standards-Version 4.4.1 and debhelper 12.  No changes
    required.
  * Add dependencies on lib{boost-filesystem, boost-program-options,
    eigen1}-dev to libvotca-tools-dev.

 -- Nicholas Breen <nbreen@debian.org>  Fri, 29 Nov 2019 10:24:02 -0800
