=== debian/rules ===
--- 
+++ 
@@ -17,4 +17,4 @@
 	dh_auto_configure -- -DLIB=lib/$(DEB_HOST_MULTIARCH) -DENABLE_TESTING=On
 
 %:
-	dh $@ 
+	dh $@  --with python3
