=== debian/changelog ===
votca-tools (1.6.2-1) unstable; urgency=medium

  * New upstream release.
  * Update to debhelper compat 13.
  * Update d/copyright for 2020.

 -- Nicholas Breen <nbreen@debian.org>  Tue, 25 Aug 2020 21:55:48 -0700

votca-tools (1.6.1-1) unstable; urgency=medium

  * New upstream release.
  * Add debian/salsa-ci.yml, with basic CI tests.
  * Set Multi-Arch: Same on libvotca-tools6 and -tools-dev.

 -- Nicholas Breen <nbreen@debian.org>  Fri, 17 Jul 2020 17:04:31 -0700

votca-tools (1.6-1) unstable; urgency=medium

  * New upstream release.
  * Remove d/patches/smoothing_test.patch, incorporated upstream.

 -- Nicholas Breen <nbreen@debian.org>  Sat, 18 Apr 2020 16:08:12 -0700
