=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: votca-tools
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
+Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
 Uploaders: Christoph Junghans <junghans@votca.org>,
            Michael Banck <mbanck@debian.org>,
            Nicholas Breen <nbreen@debian.org>
 Build-Depends: cmake,
-               debhelper (>= 12),
+               debhelper-compat (= 13),
                dh-python,
                libboost-filesystem-dev,
                libboost-program-options-dev,
@@ -29,6 +28,7 @@
 Package: libvotca-tools-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libboost-filesystem-dev,
          libboost-program-options-dev,
          libexpat1-dev,
@@ -46,6 +46,7 @@
 
 Package: libvotca-tools6
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: VOTCA's tools library
  VOTCA is a software package which focuses on the analysis of molecular
