=== scripts/CMakeLists.txt ===
--- 
+++ 
@@ -30,9 +30,9 @@
     -DINPUT="${SCRIPT}.out" -DOUTPUT="${SCRIPT}"
     -DGIT_EXECUTABLE="${GIT_EXECUTABLE}"
     -DTOP_SOURCE_DIR="${CMAKE_SOURCE_DIR}" -P ${CMAKE_MODULE_PATH}/gitscript.cmake)
-  if(ENABLE_TESTING)
+  if(ENABLE_TESTING OR ENABLE_REGRESSION_TESTING)
     add_custom_command(TARGET ${SCRIPT}_build POST_BUILD COMMAND chmod +x ${SCRIPT})
-  endif(ENABLE_TESTING)
+  endif(ENABLE_TESTING OR ENABLE_REGRESSION_TESTING)
   set_property(DIRECTORY APPEND PROPERTY ADDITIONAL_MAKE_CLEAN_FILES ${SCRIPT})
   install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/${SCRIPT} DESTINATION ${CMAKE_INSTALL_BINDIR})
 endforeach(SCRIPT)
