=== src/CMakeLists.txt ===
add_subdirectory(libtools)
add_subdirectory(tools)
if(ENABLE_TESTING)
  add_subdirectory(tests)
endif()
