=== src/libtools/CMakeLists.txt ===
--- 
+++ 
@@ -24,12 +24,7 @@
 	Boost::filesystem Boost::system EXPAT::EXPAT Threads::Threads ${MATH_LIBRARIES})
 if(TARGET MKL::MKL)
   target_link_libraries(votca_tools PUBLIC MKL::MKL)
-  foreach(_PROP IMPORTED_LOCATION INTERFACE_LINK_LIBRARIES INTERFACE_INCLUDE_DIRECTORIES IMPORTED_NO_SONAME)
-    get_target_property(MKL_${_PROP} MKL::MKL ${_PROP})
-  endforeach()
-  foreach(_TGT Interface ThreadLayer)
-    get_target_property(MKL_${_TGT}_IMPORTED_LOCATION MKL::${_TGT} IMPORTED_LOCATION)
-  endforeach()
+  install(FILES "${PROJECT_SOURCE_DIR}/CMakeModules/FindMKL.cmake" DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/VOTCA_TOOLS)
 endif()
 if(TARGET FFTW3::FFTW3)
   target_link_libraries(votca_tools PRIVATE FFTW3::FFTW3)
