=== src/tests/CMakeLists.txt ===
--- 
+++ 
@@ -44,6 +44,12 @@
   set_tests_properties(unit_${PROG} PROPERTIES LABELS "tools;votca;unit")
 
   if(VALGRIND_FOUND)
+    # https://github.com/votca/tools/issues/268
+    # tests seem to trigger a 'Address 0x0 is not stack'd, malloc'd or (recently) free'd' in valgrind
+    set(BROCKEN_MKL_TEST test_crosscorrelate test_cubicspline test_linalg test_linspline)
+    if(MKL_FOUND AND PROG IN_LIST BROCKEN_MKL_TEST)
+      continue()
+    endif()
     add_test(NAME memory_${PROG} COMMAND "${VALGRIND_EXECUTABLE}" --tool=memcheck --leak-check=yes --show-reachable=yes --num-callers=20 --track-fds=yes --error-exitcode=1 $<TARGET_FILE:unit_${PROG}>)
     set_tests_properties(memory_${PROG} PROPERTIES LABELS "tools;votca;memory")
   endif(VALGRIND_FOUND)
