=== debian/changelog ===
votca-tools (1.6.4-1) unstable; urgency=medium

  * New upstream release. 

 -- Nicholas Breen <nbreen@debian.org>  Thu, 28 Jan 2021 21:39:24 -0800

votca-tools (1.6.3-1) unstable; urgency=medium

  * New upstream release.
  * Make cross Build-Depends satisfiably annotate python3 with :any.
    Patch courtesy of Helmut Grohne.  (Closes: #973448)
  * Update to Standards-Version 4.5.1, no changes required.

 -- Nicholas Breen <nbreen@debian.org>  Sun, 13 Dec 2020 10:51:39 -0800
