=== debian/control ===
--- 
+++ 
@@ -17,10 +17,10 @@
                libfftw3-dev,
                libgsl-dev,
                pkg-config,
-               python3,
+               python3:any,
                txt2tags
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: http://www.votca.org
 Vcs-Browser: https://salsa.debian.org/debichem-team/votca-tools
 Vcs-Git: https://salsa.debian.org/debichem-team/votca-tools.git
