=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/votca-tools-$1\.tar\.gz/ \
https://github.com/votca/tools/releases .*/archive/v([\d.]+)\.tar\.(?:bz2|gz)
